Debian Bug report logs - #556686
FTBFS with binutils-gold

version graph

Package: src:wv2; Maintainer for src:wv2 is Olly Betts <olly@survex.com>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Tue, 17 Nov 2009 14:19:16 UTC

Severity: serious

Tags: sid, wheezy

Found in version wv2/0.4.1.dfsg-1

Fixed in version wv2/0.4.2.dfsg.1-1.1

Done: Olly Betts <olly@survex.com>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=2874790&group_id=10501&atid=110501

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#556686; Package src:wv2. (Tue, 17 Nov 2009 14:19:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 17 Nov 2009 14:19:19 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Tue, 17 Nov 2009 12:16:16 +0100
Source: wv2
Version: 0.4.1.dfsg-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

It is maybe better in your case that libwv2.so gets linked against
the needed libraries to fix that problem. You can use --no-undefined (or
respective -Wl,--no-undefined when linking with g++ or gcc) to check your
libraries if they still have symbols which doesn't get resolved by them.

dpkg-shlibdeps will also print warnings about unresolved symbols when it gets
run in your debian/rules.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

cd /home/peter/rebuild/build/wv2/wv2-0.4.1.dfsg/obj-x86_64-linux-gnu/tests && /usr/bin/cmake -E cmake_link_script CMakeFiles/ustringtest.dir/link.txt --verbose=1
/usr/bin/c++   -g -O2    CMakeFiles/ustringtest.dir/ustringtest.cpp.o  -o ustringtest -rdynamic ../src/libwv2.so.4.0.0 -lgsf-1 -lz -lgsf-1 -lc -lglib-2.0 -Wl,-rpath,/home/peter/rebuild/build/wv2/wv2-0.4.1.dfsg/obj-x86_64-linux-gnu/src 
/usr/bin/ld: ../src/libwv2.so.4.0.0: error: undefined reference to 'g_type_check_instance_cast'
/usr/bin/ld: ../src/libwv2.so.4.0.0: error: undefined reference to 'g_object_unref'
/usr/bin/ld: ../src/libwv2.so.4.0.0: error: undefined reference to 'g_type_check_instance_is_a'
collect2: ld returned 1 exit status
make[4]: *** [tests/ustringtest] Error 1




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=2874790&group_id=10501&atid=110501'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Mar 2010 18:54:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:23:37 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:31:33 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 11:18:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#556686; Package src:wv2. (Sun, 11 Sep 2011 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 11 Sep 2011 21:15:18 GMT) Full text and rfc822 format available.

Message #18 received at 556686@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 556686@bugs.debian.org
Subject: quick update
Date: Sun, 11 Sep 2011 23:09:47 +0200
Hi,
Do not bother about fixing this bug, the short-term plan is removing
libwv from Debian.

Ana




Reply sent to Olly Betts <olly@survex.com>:
You have taken responsibility. (Wed, 30 Nov 2011 12:51:05 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Wed, 30 Nov 2011 12:51:12 GMT) Full text and rfc822 format available.

Message #23 received at 556686-close@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: 556686-close@bugs.debian.org
Subject: Bug#556686: fixed in wv2 0.4.2.dfsg.1-1.1
Date: Wed, 30 Nov 2011 12:48:19 +0000
Source: wv2
Source-Version: 0.4.2.dfsg.1-1.1

We believe that the bug you reported is fixed in the latest version of
wv2, which is due to be installed in the Debian FTP archive:

libwv2-4_0.4.2.dfsg.1-1.1_amd64.deb
  to main/w/wv2/libwv2-4_0.4.2.dfsg.1-1.1_amd64.deb
libwv2-dev_0.4.2.dfsg.1-1.1_amd64.deb
  to main/w/wv2/libwv2-dev_0.4.2.dfsg.1-1.1_amd64.deb
wv2_0.4.2.dfsg.1-1.1.debian.tar.gz
  to main/w/wv2/wv2_0.4.2.dfsg.1-1.1.debian.tar.gz
wv2_0.4.2.dfsg.1-1.1.dsc
  to main/w/wv2/wv2_0.4.2.dfsg.1-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556686@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olly Betts <olly@survex.com> (supplier of updated wv2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 30 Nov 2011 12:04:22 +0000
Source: wv2
Binary: libwv2-4 libwv2-dev
Architecture: source amd64
Version: 0.4.2.dfsg.1-1.1
Distribution: sid
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Olly Betts <olly@survex.com>
Description: 
 libwv2-4   - library for accessing Microsoft Word documents
 libwv2-dev - development files for Microsoft Word access library
Closes: 556686 603868 603871
Changes: 
 wv2 (0.4.2.dfsg.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch fix-ftbfs-with-gold.patch to fix FTBFS with binutils-gold.
     (Closes: #556686)
   * Add patch fix-handling-empty-associatedstrings.patch to fix handling of
     .doc files with an empty associated strings section. (Closes: #603868)
   * Build with debugging messages disabled. (Closes: #603871)
   * Drop leading article from short description.
   * Actually run the testsuite, don't just build it (needs new patch
     fix-tests.patch)
   * "Standards-Version: 3.9.2":
     + Include the BSD licence in debian/copyright rather than referring to
       /usr/share/common-licenses/BSD.
Checksums-Sha1: 
 42bbc29a4137f8468f1ef49cabb61e430cba09dd 1949 wv2_0.4.2.dfsg.1-1.1.dsc
 79180154a68144a84c7c0659b1f666f9ecf53d67 7272 wv2_0.4.2.dfsg.1-1.1.debian.tar.gz
 5511b85b407c33fd65e9b62bd4d52590586708ec 421824 libwv2-4_0.4.2.dfsg.1-1.1_amd64.deb
 1e40b53311e3772909054cf35ea99d4f6361c32c 101632 libwv2-dev_0.4.2.dfsg.1-1.1_amd64.deb
Checksums-Sha256: 
 d5847e45989fdfc10ccec2004cadd6ad8df4f2c41f2b2ff36598125bc66679d0 1949 wv2_0.4.2.dfsg.1-1.1.dsc
 046b68a2252cce23ab5990e63bcf197b4614eb675c0b2479e5767a54d22bcdb0 7272 wv2_0.4.2.dfsg.1-1.1.debian.tar.gz
 d0c4efd6618f2fde576c3fb8cce8b51fcf6d5077497724121e68b7255b8dea82 421824 libwv2-4_0.4.2.dfsg.1-1.1_amd64.deb
 e502be6723f8f30c5389fc0fbd094506ce3a06d73793109e5a4e14d70927267b 101632 libwv2-dev_0.4.2.dfsg.1-1.1_amd64.deb
Files: 
 49603ee218cb8338068a46d728d6becc 1949 libs optional wv2_0.4.2.dfsg.1-1.1.dsc
 efc4ce6d9fb64adaf9453f95d7606a9b 7272 libs optional wv2_0.4.2.dfsg.1-1.1.debian.tar.gz
 db48c5098ae23c42c35b7fb49d6a099a 421824 libs optional libwv2-4_0.4.2.dfsg.1-1.1_amd64.deb
 797d478b9e2546c3c538c846c1ad03af 101632 libdevel optional libwv2-dev_0.4.2.dfsg.1-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJO1iQoAAoJEBgUewc7rSsH+EQQAIyLjVZBGrVP1IMMbghnXGou
7zwJJBL7tbxs8Bfghe/tfxKDXrnsjtwjvSw1xHo+TuItTLhNWvNI3Auavf7lCOaj
ZuuJi3WzAdInsveTGMnXVFXt9tgf8sdpzyLP4LdPh5BoI/a5K1v9j8WlKes+qH+Y
SoFkmmFEyjEMjjpOZZbEbcSCTQYIPvocVih3N4W+qXYECLF09Nr4Tmfkf2HEJfFl
4yTODK/hG+2GOLP46uMMHbWz5MxHkGmtf/FPlQB7Xs++SHeZ6Ce3RU1V++TSWKul
uzoSpW5adryP2k+QpE1KOcLq1VLxanhtThBlQ4Di+lAnzlXp/lX14Anzhahj38W9
WwTnbN/Ta/LNWsLe7InKVaJ/4S9s6Z1mD+TrD0ERBGInvt7etzXa37wjGnsBlGRM
moiWAwWG3tS+HqYVJni1g2tatSKhpmOS72OL20O2mOoLeCUsK8hDGl67sz/Jpi7C
obIAp+ScnvGh4Ov438aLas8orf4igpzfp+7GFszpG0Ts6gUuh7RLnh6SSLbZAiNd
MDoxSVDwueoIu83l0YKXZ0Cefy7h77Jx3faMNH8Y+vrDN4P8tICFxlph7VvLCL7/
58EMzEsZDUxw+j4GXwCKlJObmxnDiE3aGk9jz0zp+2vLSP4eRqfX5dK8A1HxoY93
xgbspi68zUVROP24PwFj
=CWcv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:32:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:55:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.